# $Header: /home/jv/Projects/SmalltalkX/repositories/cvs/stx/libjava/bc.mak,v 1.5 1999/12/21 12:58:24 cg Exp $
#
# -- nt.mak created from project at 'From Smalltalk/X, Version:3.5.5 on 8-nov-1999 at 21:44:36'                     
#
# Warning: YOU SHOULD NOT MODIFY THIS FILE - MODIFY THE .prj FILE INSTEAD
# and let the ProjectBrowser recreate this file.
# once you modify this file, do not recreate nt.mak again 
# - otherwise, your changes are lost.

# module and directory-in-module;
# these should correspond to the directory hierarchy
# location (otherwise, ST/X will have a hard time to
# find out the packages location from its packageID)
MODULE=stx
MODULE_DIR=libjava

# default installation directory:
# (overwrite with 'make INSTALLTOP_DIR=... install')
# the INSTALLBASE is imported from configurations... and usually
# defaults to something like /opt/smalltalk.
# (overwrite with 'make INSTALLBASE=... install')
INSTALLTOP_DIR=$(INSTALLBASE)/packages/$(MODULE)/$(MODULE_DIR)
INSTALLLIB_DIR=$(INSTALLTOP_DIR)
INSTALLBIN_DIR=$(INSTALLTOP_DIR)

#
# position (of this package) in directory hierarchy:
# (must point to ST/X top directory, for tools and includes)
TOP=..

!INCLUDE "$(TOP)\rules\stdHeader_nt"

# subdirectories where targets are to be made:
SUBDIRS=

# subdirectories where Makefiles are to be made:
# (only define if different from SUBDIRS)
# ALLSUBDIRS=


# the name of your classLibrary:
# ********** REQUIRED: CHECK the next line ***
LIBNAME=libjava

LIB_BASE   =0x05000000

# the next define suppresses installation of 
# the classes as autoloaded (i.e. not added to abbrev.stc). 
SUPPRESS_LOCAL_ABBREVS=1

# the package is stored as an ID in classes and methods
# to identify code belonging to this project.
# It also specifies the position in the source repository
# and directory tree, when packages are loaded by packageID.
# ********** REQUIRED: CHECK the next line ***
PACKAGE=$(MODULE):$(MODULE_DIR)

# Argument(s) to the stc compiler.
#  -H.         : create header files locally
#                (if removed, they will be created as common
#  -Pxxx       : defines the package
#  -Zxxx       : a prefix for variables within the classLib
#  -Dxxx       : defines passed to to CC for inline C-code
#  -Ixxx       : include path passed to CC for inline C-code
#  +optspace   : optimized for space
#  +optspace2  : optimized more for space
#  +optspace3  : optimized even more for space
#  +optinline  : generate inline code for some ST constructs
#  +inlineNew  : additionally inline new
#  +inlineMath : additionally inline some floatPnt math stuff
#
# ********** OPTIONAL: MODIFY the next line(s) ***
# STCLOCALOPTIMIZATIONS=+optinline +inlineNew
# STCLOCALOPTIMIZATIONS=+optspace3
STCLOCALOPTIMIZATIONS=+optspace3

# Argument(s) to the stc compiler.
#  -warn            : no warnings
#  -warnNonStandard : no warnings about ST/X extensions
#  -warnEOLComments : no warnings about EOL comment extension
#  -warnPrivacy     : no warnings about privateClass extension
#
# ********** OPTIONAL: MODIFY the next line(s) ***
# STCWARNINGS=-warn
# STCWARNINGS=-warnNonStandard
# STCWARNINGS=-warnEOLComments
STCWARNINGS=-warnEOLComments 

# if your embedded C code requires any system includes, 
# add the path(es) here:, 
# ********** OPTIONAL: MODIFY the next lines ***
# LOCALINCLUDES=-Ifoo -Ibar
LOCALINCLUDES=

# if you need any additional defines for embedded C code, 
# add them here:, 
# ********** OPTIONAL: MODIFY the next lines ***
# LOCALDEFINES=-Dfoo -Dbar -DDEBUG
LOCALDEFINES=

STCLOCALOPT=-I. $(STCLOCALOPTIMIZATIONS) $(STCWARNINGS) $(LOCALINCLUDES) $(LOCALDEFINES) -H. -package=$(PACKAGE) -varPrefix=$(LIBNAME) $(COMMONSYMFLAG) $(INITCODESEPFLAG)

# ********** OPTIONAL: MODIFY the next line ***
# additional C-libraries that should be pre-linked with the class-objects
LD_OBJ_LIBS=

# ********** OPTIONAL: MODIFY the next line ***
# additional C targets or libraries should be added below
LOCAL_EXTRA_TARGETS=

#ALL:: preMake $(LIBDIR)\$(LIBNAME).lib $(BINDIR)\$(LIBNAME).dll postMake
ALL:: $(LIBDIR)\$(LIBNAME).lib $(BINDIR)\$(LIBNAME).dll


OBJS= \
  $(OUTDIR)JavaClass.$(O) \
  $(OUTDIR)Java.$(O) \
  $(OUTDIR)JavaRef.$(O) \
  $(OUTDIR)JavaClassRef.$(O) \
  $(OUTDIR)JavaClassReader.$(O) \
  $(OUTDIR)JavaClassPointerRef.$(O) \
  $(OUTDIR)JavaConstantPool.$(O) \
  $(OUTDIR)JavaContext.$(O) \
  $(OUTDIR)JavaExceptionTableEntry.$(O) \
  $(OUTDIR)JavaField.$(O) \
  $(OUTDIR)JavaFieldref.$(O) \
  $(OUTDIR)JavaMethodref.$(O) \
  $(OUTDIR)JavaLocalVariableTable.$(O) \
  $(OUTDIR)JavaLocalVariableTableEntry.$(O) \
  $(OUTDIR)JavaMethod.$(O) \
  $(OUTDIR)JavaMethodWithBreakpoint.$(O) \
  $(OUTDIR)JavaMethodWithException.$(O) \
  $(OUTDIR)JavaMethodWithHandler.$(O) \
  $(OUTDIR)JavaInterfaceMethodref.$(O) \
  $(OUTDIR)JavaNameandType.$(O) \
  $(OUTDIR)JavaNativeMethod.$(O) \
  $(OUTDIR)JavaObject.$(O) \
  $(OUTDIR)JavaProcess.$(O) \
  $(OUTDIR)JavaBuiltInClassPointerRef.$(O) \
  $(OUTDIR)JavaSlotIndexCache.$(O) \
  $(OUTDIR)JavaUnresolvedConstant.$(O) \
  $(OUTDIR)JavaUnresolvedClassConstant.$(O) \
  $(OUTDIR)JavaUnresolvedRefConstant.$(O) \
  $(OUTDIR)JavaUnresolvedMethodrefConstant.$(O) \
  $(OUTDIR)JavaUnresolvedInterfaceMethodrefConstant.$(O) \
  $(OUTDIR)JavaUnresolvedFieldrefConstant.$(O) \
  $(OUTDIR)JavaUnresolvedNameandTypeConstant.$(O) \
  $(OUTDIR)JavaUnresolvedSTArrayConstant.$(O) \
  $(OUTDIR)JavaUnresolvedStringConstant.$(O) \
  $(OUTDIR)JavaVM.$(O) \
  $(OUTDIR)JavaTopView.$(O) \
  $(OUTDIR)JavaPopUpView.$(O) \
  $(OUTDIR)SmalltalkAppletContext.$(O) \
  $(OUTDIR)SmalltalkAppletStub.$(O) \
  $(OUTDIR)JavaAppletComponentSpec.$(O) \
  $(OUTDIR)UIGalleryJavaEntry.$(O) \
  $(OUTDIR)JavaView.$(O) \
  $(OUTDIR)JavaDecompiler.$(O) \
  $(OUTDIR)JavaByteCodeEnumerator.$(O) \
  $(OUTDIR)JavaEmbeddedFrameView.$(O)

# add more preMake actions here
preMake:

# add more postMake actions here
postMake: cleanjunk

#clean::
#       -del $(OUTDIR)*.obj
#       -del *.sc

#clobber::
#       -del $(OUTDIR)*.obj
#       -del *.sc
#       -del *.dll
#       -del *.lib


!INCLUDE $(TOP)\rules\stdRules_nt

# BEGINMAKEDEPEND --- do not remove this line; make depend needs it
$(OUTDIR)JavaClass.$(O): JavaClass.st $(STCHDR)
$(OUTDIR)Java.$(O): Java.st $(STCHDR)
$(OUTDIR)JavaRef.$(O): JavaRef.st $(STCHDR)
$(OUTDIR)JavaClassRef.$(O): JavaClassRef.st $(STCHDR)
$(OUTDIR)JavaClassReader.$(O): JavaClassReader.st $(STCHDR)
$(OUTDIR)JavaClassPointerRef.$(O): JavaClassPointerRef.st $(STCHDR)
$(OUTDIR)JavaConstantPool.$(O): JavaConstantPool.st $(STCHDR)
$(OUTDIR)JavaContext.$(O): JavaContext.st $(STCHDR)
$(OUTDIR)JavaExceptionTableEntry.$(O): JavaExceptionTableEntry.st $(STCHDR)
$(OUTDIR)JavaField.$(O): JavaField.st $(STCHDR)
$(OUTDIR)JavaFieldref.$(O): JavaFieldref.st $(STCHDR)
$(OUTDIR)JavaMethodref.$(O): JavaMethodref.st $(STCHDR)
$(OUTDIR)JavaLocalVariableTable.$(O): JavaLocalVariableTable.st $(STCHDR)
$(OUTDIR)JavaLocalVariableTableEntry.$(O): JavaLocalVariableTableEntry.st $(STCHDR)
$(OUTDIR)JavaMethod.$(O): JavaMethod.st $(STCHDR)
$(OUTDIR)JavaMethodWithBreakpoint.$(O): JavaMethodWithBreakpoint.st $(STCHDR)
$(OUTDIR)JavaMethodWithException.$(O): JavaMethodWithException.st $(STCHDR)
$(OUTDIR)JavaMethodWithHandler.$(O): JavaMethodWithHandler.st $(STCHDR)
$(OUTDIR)JavaInterfaceMethodref.$(O): JavaInterfaceMethodref.st $(STCHDR)
$(OUTDIR)JavaNameandType.$(O): JavaNameandType.st $(STCHDR)
$(OUTDIR)JavaNativeMethod.$(O): JavaNativeMethod.st $(STCHDR)
$(OUTDIR)JavaObject.$(O): JavaObject.st $(STCHDR)
$(OUTDIR)JavaProcess.$(O): JavaProcess.st $(STCHDR)
$(OUTDIR)JavaBuiltInClassPointerRef.$(O): JavaBuiltInClassPointerRef.st $(STCHDR)
$(OUTDIR)JavaSlotIndexCache.$(O): JavaSlotIndexCache.st $(STCHDR)
$(OUTDIR)JavaUnresolvedConstant.$(O): JavaUnresolvedConstant.st $(STCHDR)
$(OUTDIR)JavaUnresolvedClassConstant.$(O): JavaUnresolvedClassConstant.st $(STCHDR)
$(OUTDIR)JavaUnresolvedRefConstant.$(O): JavaUnresolvedRefConstant.st $(STCHDR)
$(OUTDIR)JavaUnresolvedMethodrefConstant.$(O): JavaUnresolvedMethodrefConstant.st $(STCHDR)
$(OUTDIR)JavaUnresolvedInterfaceMethodrefConstant.$(O): JavaUnresolvedInterfaceMethodrefConstant.st $(STCHDR)
$(OUTDIR)JavaUnresolvedFieldrefConstant.$(O): JavaUnresolvedFieldrefConstant.st $(STCHDR)
$(OUTDIR)JavaUnresolvedNameandTypeConstant.$(O): JavaUnresolvedNameandTypeConstant.st $(STCHDR)
$(OUTDIR)JavaUnresolvedSTArrayConstant.$(O): JavaUnresolvedSTArrayConstant.st $(STCHDR)
$(OUTDIR)JavaUnresolvedStringConstant.$(O): JavaUnresolvedStringConstant.st $(STCHDR)
$(OUTDIR)JavaVM.$(O): JavaVM.st $(STCHDR)
# ENDMAKEDEPEND --- do not remove this line

